- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
dim2.h File Reference
Geometric Data Structures
`#include <iostream>`
`#include <algorithm>`

## Classes
class | Point< T >
| Two dimensional vector (plain vector) More...
class | Box< T >
| Bounding box of plain vectors (points). More...
class | XMap< M >
| Map of x-coordinates of a `Point`-map. More...
class | ConstXMap< M >
| Constant (read only) version of XMap. More...
class | YMap< M >
| Map of y-coordinates of a `Point`-map. More...
class | ConstYMap< M >
| Constant (read only) version of YMap. More...
class | NormSquareMap< M >
| Map of the normSquare() of a `Point`-map. More...

## Namespaces
| lemon
| The namespace of LEMON.
| lemon::dim2
| Tools for handling two dimensional coordinates.